package net.vtstar.zhongtong.avi.ledlamp.service;

import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.Platform;

public class LedService {

    public interface test extends Library {

        test INSTANCE = (test) Native.loadLibrary((Platform.isWindows() ? "dll//lv_led" : "c"), test.class);

        int CreateProgram(int LedWidth, int LedHeight, int ColorType);
    }

    public static void main(String[] args) {
        try {
            test.INSTANCE.CreateProgram(128, 32, 1);
        } catch (Exception e) {
            System.out.println(String.format(e.getMessage(), "utf-8"));
        }

    }

}
